Update source settings
Update source settings. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_idKahilingan ng mga Parameter
Ang lahat ng parameter ay maaaring ipasa sa pamamagitan ng Query o Body
| Parameter | Uri | Kailangan | Paglalarawan |
|---|---|---|---|
source_id | string | Kailangan | Source ID owned by this user on the current site Halimbawa: 12345678 |
name | string | Mapagpipilian | Source name, up to 100 characters Halimbawa: 我的软件源 |
message | string | Mapagpipilian | Source announcement Halimbawa: 欢迎使用 |
identifier | string | Mapagpipilian | Source identifier, up to 100 characters |
source_icon | string | Mapagpipilian | HTTP(S) URL of the source icon |
pay_url | string | Mapagpipilian | HTTP(S) URL of the payment page |
encrypt_enabled | integer | Mapagpipilian | Response encryption: 0=off, 1=on (default on when created) Halimbawa: 1 |
open_black | integer | Mapagpipilian | Auto-block devices used to add apps: 0/1 Halimbawa: 0 |
open_black2 | integer | Mapagpipilian | Auto-block cracking attempts: 0/1 Halimbawa: 0 |
health_alert | object | Mapagpipilian | Complete link-health alert configuration as a JSON object |
Pagtugon
| Parameter | Uri | Kailangan | Paglalarawan |
|---|---|---|---|
code | integer | Kailangan | 1 indicates success; otherwise a token, validation or source error code Halimbawa: 1 |
msg | string | Kailangan | Localized result message Halimbawa: 获取成功 |
time | integer | Kailangan | Unix timestamp in seconds |
data | object | Kailangan | Allowlisted fields visible to the source owner |
Error
101140001Pagtugon sa Wika
Ang mga code na halimbawa sa ibaba ay awtomatikong gumagamit ng kasalukuyang site language mo.
X-Lang: filzh, en, zh-TW, vi, ar, es, ruSinusuportahan din ang tinatanggap na-Language; ang X-Lang ang inuuna. ang mga hindi suportadong wika ay sumusunod sa site language fallback.
Mga Halimbawa ng Kodigo
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
-H "X-Lang: fil" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'Mga Noble
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
- 只修改传入的字段;health_alert 作为完整对象整体替换。
Subukin ito sa Console
Punan ang mga parameter sa ibaba at magpadala ng kahilingan upang masubukan. requests pumunta lamang sa API ng site na ito; ang URL ay naka-lock at hindi maaaring baguhin, at isama ang inyong kasalukuyang login cookie.
https://testypro.iwai.cc/api/appstore/manage/sources/12345678Nakakandado sa lugar na itoSource ID owned by this user on the current site
Source name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object